Hatena::ブログ(Diary)

It’ll be

2011-10-20

rake test でこける

Ruby on Rails 3.1.1 で rake test とすると

..../turn-0.8.3/lib/turn/autorun/minitest.rb:14:in `<top (required)>': MiniTest v1.6.0 is out of date. (RuntimeError)
`gem install minitest` and add `gem 'minitest' to you test helper.
とのエラーが出た。これを直すには、

  • turn 0.8.2 を使うようにする
  • minitest をインストールして、それを使うようにする

のどちらかをすればいいっぽい。
参考:
http://stackoverflow.com/questions/7719114/rails-3-1-1-and-cucumber-error
http://pragprog.com/titles/rails4/errata

詳しくは以下。

turn 0.8.2 を使う場合

rails アプリのディレクトリにある Gemfile の最後の方を
group :test do
  # Pretty printed test output
  gem 'turn', '< 0.8.3'
end
に変えて
bundle install

minitest をインストールして、それを使うようにする場合

Gemfile の最後の方で
group :test do
  # Pretty printed test output
  gem 'turn', :require => false
  gem 'minitest'
end
として
bundle install
このとき一緒に minitest もインストールされる。

ちなみに turn 0.8.3 では表示が少し変わった。f:id:ks0608:20111020003451p:image:w450

スパム対策のためのダミーです。もし見えても何も入力しないでください
ゲスト


画像認証

トラックバック - http://d.hatena.ne.jp/ks0608/20111020/1319037725
リンク元
Connection: close